Possible problem when running DB-scripts 950_IDEMPIERE-234 and 201211141733_IDEMPIERE-385-m_viewProduct.sql

Description

CREATE OR REPLACE doesn't work in all versions of postgresql and is especially sensitive if the number of columns in the view has changed.

Running the scripts on Postgresql 9.1.5 causes error and the scripts wont run completely.

Adding a "DROP VIEW XXXX_V" in front of the CREATE OF REPLACE solves the problem.

Environment

None

Activity

Show:
Daniel Tamm
April 4, 2013, 7:20 PM

Patch attached.

Carlos Ruiz
April 14, 2013, 8:44 AM

Assignee

Daniel Tamm

Reporter

Daniel Tamm

Labels

Tested By

None

Time tracking

30m

Components

Affects versions

Priority

Minor
Configure